{% from "components/display_status_icon.html.j2" import display_status_icon %}

{# This macro is used to display the status of a test suite. It takes in a dictionary of statuses and a list of test cases.
The dictionary is used to display the overall status of the test suite, and the list of test cases is used to display the
individual test case statuses. #}

{% macro display_testsuite_status(status_dict, test_cases, parent_id) %}
<div class="container codebox col-10">
	{% for label, status in status_dict.items() %}
	<div class="align-items-left">
		{# The testsuite overall status #}
		<p class="mb-0">{{ display_status_icon(status, 20) }}{{ label }}</p>
		<ul>
			{# For each test case in our list, see if the test suite is the same as the label
			we are currently iterating over. If it is, display the test case name and its validation status #}
			{% set counter = namespace(value=0) %}

			{% for test_case in test_cases %}
				{% if test_case.testsuite == label %}
					<div
						class="{{ 'hidden' if counter.value >= 5 else '' }}"
						data-bs-toggle="tooltip" data-bs-html="true"
						title="({{ test_case.type }}) Message: '{{ test_case.fail_msg }}'">

						<li>
							{{ display_status_icon(test_case.fail_type, 18) }} {{ test_case.fail_msg }}
						</li>
					</div>
				{% set counter.value = counter.value + 1 %}

				{% endif %}
			{% endfor %}
		</ul>

		{% if counter.value > 5 %}
		<button id="showmore-{{ parent_id }}-{{ label|replace(' ', '-') }}" class="btn btn-sm btn-info" type="button">
			Show More
		</button>
		<button id="showless-{{ parent_id }}-{{ label|replace(' ', '-') }}" class="btn btn-sm btn-info hidden" type="button">
			Show Less
		{% endif %}

	</div>
	{% endfor %}
</div>
{% endmacro %}